Bug 141153 - Bookmark URL field has a limited length
Bookmark URL field has a limited length
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
javascript:(function(){ function getS...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 13:00 EST by Enrico Scholz
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 10:49:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-11-29 13:00:36 EST
Description of problem:

The input field for Bookmark-URLs are limited in their size that long
URLs (e.g. Smart-URLs emulated by javascript) can not be modified.

E.g. add the link below to the bookmarks, and try to edit it. The
textfield will stop in the middle somewhere at a 'http'.


Sample URL

javascript:(function(){ function getSearchString (promptString) { s =
null; if (document.selection && document.selection.createRange) { s =
document.selection.createRange().text; } else if
(document.getSelection) { s = document.getSelection(); } if (! (s &&
s.length)) { s = prompt(promptString,''); } return s; } searchString =
getSearchString('Enter a bug number or some search terms (or select
them before activating this bookmarklet)'); if (searchString != null)
{ if (searchString.length) { location =
'https://bugzilla.redhat.com/bugzilla/buglist.cgi?component_text='+escape(searchString);
} else { location = 'https://bugzilla.redhat.com/bugzilla'; } }  })();


Version-Release number of selected component (if applicable):

firefox-1.0-2.fc3


How reproducible:

100%


Steps to Reproduce:
1. right-click on url above -> add bookmark
2. open bookmark-manager and search for the url
3. right click -> properties
4. move to the end
  
Actual results:

stops at "location='http"


Expected results:

goes till the end
Comment 1 Enrico Scholz 2004-11-29 13:02:03 EST
mmh... URL was mangled, but the bugzilla URL field has the same URL
and shows the same broken behavior.
Comment 2 Matěj Cepl 2007-04-23 12:11:14 EDT
Cannot reproduce with firefox-1.5.0.10-5.fc6 -- had to edit \n characters in the
URL, but otherwise looks OK.

Reporter, can you reproduce this with the latest update of firefox in your
current distribution, please?

Thank you very much for reply.
Comment 3 Matěj Cepl 2007-05-10 10:49:13 EDT
no feedback from reporter. If you have some additional information, please,
reopen this bug with requested information.

Note You need to log in before you can comment on or make changes to this bug.